clang 8.0.0

Public Attributes | Static Public Attributes | List of all members
clang::ento::ImplicitNullDerefEvent Struct Reference

We dereferenced a location that may be null. More...

`#include "clang/StaticAnalyzer/Core/Checker.h"`

Collaboration diagram for clang::ento::ImplicitNullDerefEvent:
[legend]

## Public Attributes
SVal | Location
bool | IsLoad
ExplodedNode * | SinkNode
BugReporter * | BR
bool | IsDirectDereference

## Static Public Attributes
static int | Tag

## Detailed Description

We dereferenced a location that may be null.

Definition at line 552 of file Checker.h.

## Member Data Documentation

## ◆ BR

BugReporter* clang::ento::ImplicitNullDerefEvent::BR

Definition at line 556 of file Checker.h.

## ◆ IsDirectDereference

bool clang::ento::ImplicitNullDerefEvent::IsDirectDereference

Definition at line 560 of file Checker.h.

## ◆ IsLoad

bool clang::ento::ImplicitNullDerefEvent::IsLoad

Definition at line 554 of file Checker.h.

## ◆ Location

SVal clang::ento::ImplicitNullDerefEvent::Location

Definition at line 553 of file Checker.h.

## ◆ SinkNode

ExplodedNode* clang::ento::ImplicitNullDerefEvent::SinkNode

Definition at line 555 of file Checker.h.

## ◆ Tag

int ImplicitNullDerefEvent::Tag
| static

Definition at line 562 of file Checker.h.

The documentation for this struct was generated from the following files:

- include/clang/StaticAnalyzer/Core/Checker.h
- lib/StaticAnalyzer/Core/Checker.cpp